Bug 510195 - Review Request: eclipse-slice2java - A plugin that integrates Eclipse with Ice object middleware
Review Request: eclipse-slice2java - A plugin that integrates Eclipse with Ic...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 06:21 EDT by Mary Ellen Foster
Modified: 2010-01-07 16:51 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.3.1.20091005-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 16:49:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-07-08 06:21:19 EDT
Spec URL: http://mef.fedorapeople.org/packages/eclipse-slice2java/eclipse-slice2java.spec
SRPM URL: http://mef.fedorapeople.org/packages/eclipse-slice2java/eclipse-slice2java-3.3.1-1.fc11.src.rpm

Description:
The slice2java plugin manages the translation of Slice to Java.
The plugin computes dependencies between Slice files and automatically
recompiles Slice files when necessary. The plugin also manages
the generated code to eliminate obsolete files.
Comment 1 Andrew Overholt 2009-09-17 07:47:43 EDT
I should really set up some sort of notification for eclipse packages proposed for review :)

I'll take this one.
Comment 2 Andrew Overholt 2009-11-24 11:04:43 EST
Sorry, this somehow slipped off of my to-do list.  A few comments:

- is this commented-out line okay?  BuildRequires: ice-java >= 3.3.1
- you probably don't need to build gcj bits since the rest of the Eclipse SDK doesn't have them
- I believe Alex fixed the pdebuild wrapper script to avoid the need for -a "-DjavacSource=1.5 -DjavacTarget=1.5" but it's not harming anything so feel free to leave it
- there appears to be a typo in the readme file.  I think "Activating the Plugin for a Project" should be on a new line.

Otherwise:

OK naming good
OK file locations fine
OK licensing fine
OK md5sum matches upstream
OK rpmlint fine

$ rpmlint eclipse-slice2java-3.3.1-1.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint ../RPMS/x86_64/eclipse-slice2java-3.3.1-1.fc12.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

PLEASEFIX please use either %{buildroot} OR $RPM_BUILD_ROOT but not both
Comment 4 Andrew Overholt 2009-11-25 10:38:19 EST
Thanks for the changes.  Everything looks fine now except for the date in the version string.  Upstream is sort of confusing in this regard, but it looks like 3.3.1 is the version.  Unless you think I'm mis-interpreting upstream's version number, I think you can avoid including it in the Version/Release entirely.  Also, there's a newer snapshot available (20091005) if you want to get that one in.
Comment 5 Mary Ellen Foster 2009-11-25 11:07:22 EST
Thanks for pointing out the newer version -- hadn't noticed that. (I wonder what they changed ...)

I can remove the date, but it does kind of seem like the date is part of the version -- I mean, these are all 3.3.1 (because they work with Ice 3.3.1) but there are new versions within that. But this isn't a big deal and I can remove it again without difficulty.
Comment 6 Mary Ellen Foster 2009-11-25 11:29:20 EST
Also, looking at the changelog, it contains things like "Changes since version 3.3.1.20090330" which sort of implies that the date is part of the version number.
Comment 7 Andrew Overholt 2009-11-25 11:29:58 EST
Okay, then the date is part of the upstream version.  At least it appears to be monotonically increasing :)
Comment 8 Mary Ellen Foster 2009-11-25 11:37:55 EST
I've updated to the newer version from upstream and added the CHANGELOG to the %doc -- no other changes.

http://mef.fedorapeople.org/packages/eclipse-slice2java/eclipse-slice2java.spec
http://mef.fedorapeople.org/packages/eclipse-slice2java/eclipse-slice2java-3.3.1.20091005-1.fc12.src.rpm
Comment 9 Mary Ellen Foster 2009-11-25 11:43:32 EST
(If you were *very* fast, you'll need to download again -- I just noticed that the CHANGELOG was in the tarball so I don't need to download it again from the website.)
Comment 10 Andrew Overholt 2009-11-25 12:46:40 EST
Everything looks good.  Approved.
Comment 11 Mary Ellen Foster 2009-11-27 05:10:14 EST
New Package CVS Request
=======================
Package Name: eclipse-slice2java
Short Description: A plugin that integrates Eclipse with Ice object middleware
Owners: mef
Branches: F-11 F-12
InitialCC:
Comment 12 Jason Tibbitts 2009-12-01 13:44:55 EST
CVS done.
Comment 13 Fedora Update System 2009-12-02 11:20:43 EST
eclipse-slice2java-3.3.1.20091005-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eclipse-slice2java-3.3.1.20091005-1.fc11
Comment 14 Fedora Update System 2009-12-02 11:49:10 EST
eclipse-slice2java-3.3.1.20091005-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/eclipse-slice2java-3.3.1.20091005-1.fc12
Comment 15 Fedora Update System 2009-12-04 18:39:58 EST
eclipse-slice2java-3.3.1.20091005-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse-slice2java'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12633
Comment 16 Fedora Update System 2009-12-04 19:05:11 EST
eclipse-slice2java-3.3.1.20091005-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse-slice2java'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12732
Comment 17 Fedora Update System 2010-01-07 16:49:01 EST
eclipse-slice2java-3.3.1.20091005-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-01-07 16:51:44 EST
eclipse-slice2java-3.3.1.20091005-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.